> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Document Kind



## OpenAPI

````yaml /openapi.json patch /v1/vendor/requests/{recipientId}/documents/{documentId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/vendor/requests/{recipientId}/documents/{documentId}:
    patch:
      tags:
        - Rfq Vendor
      summary: Change Document Kind
      operationId: RfqVendorController_changeDocumentKind_v1
      parameters:
        - name: recipientId
          required: true
          in: path
          schema:
            type: string
        - name: documentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                kind:
                  type: string
                  enum:
                    - supporting_docs
                    - certificate
                    - test_report
                    - warranty
                    - finish_sample
                    - other
              required:
                - kind
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.